> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debt-wise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Versioning

> How DebtWise API versions work and what counts as a backward-compatible change.

Once your account was created it will be bound to the latest API version. Therefore, there is no need to send an API version with every request.

Current version is `2024-07-01`.

If you want to use another version send an `API-Version` header.

```bash theme={null}
curl -X POST https://staging.debt-wise.com/api/ping \
  -H "Accept: application/json" \
  -H "Authorization: Bearer <YOUR_TOKEN>" \
  -H "Content-Type: application/json" \
  -H "API-Version: 2024-07-01" \
  -d '{"payload": "Ping"}'
```

We release a new version when backward-incompatible changes are made. We consider these changes to be backward-compatible.

* Adding new API resources.
* Adding new optional request parameters to existing API methods.
* Adding new attributes to existing API responses.
* Changing the order of properties in existing API responses.
* Changing length or format of IDs.
